C
	LOGICAL*1 FLAGS(255)
	INTEGER COUNT, PRIME, SIZE
C
	SIZE=255
C
	START=SECNDS(0.)
C
	DO 1000 ITER=1,10
	COUNT=0
	I=0
	DO 100 I=1,SIZE
100	FLAGS(I)=.TRUE.
C
	DO 200 I=1,SIZE
	IF(.NOT.FLAGS(I)) GOTO 200
	PRIME=I+I+1
	COUNT=COUNT+1
	K=I+PRIME
	DO 150 J=K,SIZE,PRIME
150	FLAGS(J)=.FALSE.
200	CONTINUE
1000	CONTINUE
C
	TIME=SECNDS(START)
C
	TYPE *,COUNT,' PRIMES FOUND ',ITER-1,' TIMES IN ',TIME,' SECOND'
C
	STOP
	END
